Subject: RE: [Autoconf] Re: [MANET-AUTOCONF] Re: review ofdraft-singh-autoconf-adp-02

From: Simone Ruffino <[email-masked]>
Date: Fri, 03 Feb 2006 11:44:03 +0100

Please, see my comments below.

Regards,
Simone

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Jari Arkko
> Sent: giovedì 2 febbraio 2006 15.02
> To: [email-masked]
> Subject: [Autoconf] Re: [MANET-AUTOCONF] Re: review ofdraft-singh-autoconf-
> adp-02
> 
> Simone Ruffino wrote:
> 
> >Anyway, my personal understanding was that AUTOCONF must necessarily
> >take address uniqueness into account, for two reasons:
> >Primarily, to address specific problems of MANETs: for example, if two
> >nodes have the same address, routing in the *whole* MANET could possibly
> >be compromised.
> >
> >
> Right. Yes, I think I understand this, now. Will this
> happen always, or is this danger specific to some
> MANET routing mechanisms?
 
[Simone] I believe it can happen with every routing protocol, although in different ways. I tend to think that you might experience more problems with proactive protocols (e.g. olsr), because wrong topology information is distributed to all nodes. 

However, the real impact of duplicated addresses on routing protocols can be examined only with simulations (or experiments). It would be interesting (and beneficial to our work) to know whether someone on this list has some results on this!

> 
> >As a matter of fact, rfc2462 says also that DAD can be
> >disabled in cases when its overhead outweighs its benefits.
> >
> >
> Right. I wouldn't use compliance with RFC 2462 as the
> main reason for performing duplicate detection.
> 
> >My conclusion was that a uniqueness check must be defined for MANETs,
> >but that can possibly be disabled. For this reason, I would like to have
> >a solution which check uniqueness using an "optimistic" approach
> >(something similar to optimistic DAD).
> >
> >
> Optional optimistic DAD is one approach. But that
> still leaves some questions to decide. For instance, are
> the manet-internal addresses and globally reachable
> addresses the same or different? 

[Simone] I think what you call "MANET-internal" are, in my view, MANET-local addresses (they can be ULA). In this sense, they are different from global addresses (obviously). But, a node can use global addresses also for comms within the MANET, if it has one.

> If they are different,
> will they be allocated by the same or different mechanisms.

[Simone] I prefer consider them as separated mechanisms, because the first one must work in an isolated (or temporary disconnected) MANET, without relying on gateways or servers located in the Internet. 

> For instance, you could use something PACMAN-like
> for the internal addresses, and then have the globally
> reachable addresses allocated centrally from the gateway
> (because obviously you need to be able to reach the
> gateway or else these addresses aren't useful).
> 
> --Jari
> 
> 
> _______________________________________________
> Autoconf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/autoconf

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to 
[email-masked]. Thank you
====================================================================

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf